Skip to main content
GET
/
v1
/
conversions
List conversions
curl --request GET \
  --url https://api.paystack.com/v1/conversions \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "message": "Conversions fetched successfully",
  "code": "ok",
  "data": [
    {
      "id": "con_01KPBH8MD6R7YDJ82T4D6M3V1T",
      "reference": "INV-2026-001",
      "status": "created",
      "quote_id": "quo_01KPBK123456789ABCDEFG",
      "rate_source": "quoted",
      "customer": {
        "id": "cust_seed_alice",
        "type": "individual",
        "name": "Alice Johnson",
        "email": "alice.seed@globalstack.mock",
        "tier": "tier_2",
        "created_at": "2026-04-16T16:14:08.000Z",
        "updated_at": "2026-04-16T16:14:08.000Z"
      },
      "source_wallet": {
        "id": "wal_seed_alice_usdc",
        "currency": "USDC",
        "label": "USDC Wallet"
      },
      "destination_wallet": {
        "id": "wal_seed_alice_usdc",
        "currency": "USDC",
        "label": "USDC Wallet"
      },
      "source_amount": "1.000000",
      "source_currency": "USDC",
      "destination_currency": "NGN",
      "rate": "0.000000",
      "metadata": {
        "payout_batch": "batch_001"
      },
      "created_at": "2026-04-16T16:16:24.000Z",
      "updated_at": "2026-04-16T16:16:26.000Z",
      "destination_amount": "0.00",
      "failure_reason": null
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 50,
    "total": 137,
    "has_more": false,
    "request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
    "timestamp": "2026-05-14T15:43:55.732Z",
    "version": "1"
  }
}

Authorizations

Authorization
string
header
required

API key issued during merchant onboarding.

Query Parameters

customer_id
string
status
string
created_after
string
created_before
string
page
string
per_page
string

Response

Conversions fetched successfully

status
enum<boolean>
required
Available options:
true
Example:

true

message
string
required

Human-readable summary

Example:

"Conversions fetched successfully"

code
enum<string>
required
Available options:
ok
Example:

"ok"

data
object[]
required
meta
object
required